#
# Author:: Adam Jacob (<adam@chef.io>)
# Copyright:: Copyright 2009-2016, Chef Software Inc.
# License:: Apache License, Version 2.0
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

require "chef/knife"

class Chef
  class Knife
    class NodeDelete < Knife

      deps do
        require "chef/node"
        require "chef/json_compat"
      end

      banner "knife node delete [NODE [NODE]] (options)"

      def run
        if @name_args.length == 0
          show_usage
          ui.fatal("You must specify at least one node name")
          exit 1
        end

        @name_args.each do |node_name|
          delete_object(Chef::Node, node_name)
        end
      end

    end
  end
end
